<#include "/includes/version.ftl">
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1">
	<meta name="ProfitTrailer" content="The one and only ProfitTrailer Monitor">
	<meta name="Elroy" content="ProfitTrailer">
	<meta name="dj_crypto" content="ProfitTrailer">
	<meta name="robots" content="noindex, nofollow">
	<link rel="shortcut icon" href="${springMacroRequestContext.contextPath}/images/favicon-32x32.png?ver=${version}">
	<title>ProfitTrailer Setup - License and Password</title>
	<link href="${springMacroRequestContext.contextPath}/css/vendor/responsive.bootstrap4.min.css?ver=${version}" rel="stylesheet" type="text/css" />
	<link href="${springMacroRequestContext.contextPath}/css/vendor/bootstrap.min.css?ver=${version}" rel="stylesheet" type="text/css">
	<link href="${springMacroRequestContext.contextPath}/css/vendor/icons.css?ver=${version}" rel="stylesheet" type="text/css">
	<link href="${springMacroRequestContext.contextPath}/css/style.css?ver=${version}" rel="stylesheet" type="text/css">
	<link href="${springMacroRequestContext.contextPath}/css/berti.css?ver=${version}" rel="stylesheet" type="text/css">
	<link href="${springMacroRequestContext.contextPath}/css/themes/dark/template-style.css?ver=${version}" rel="stylesheet" type="text/css" id="customTheme">
	<script src="${springMacroRequestContext.contextPath}/js/vendor/jquery.min.js?ver=${version}"></script>
	<script src="${springMacroRequestContext.contextPath}/js/vendor/popper.min.js?ver=${version}"></script>
	<script src="${springMacroRequestContext.contextPath}/js/vendor/fastclick.js?ver=${version}"></script>
	<script src="${springMacroRequestContext.contextPath}/js/vendor/bootstrap.min.js?ver=${version}"></script>
	<script src="${springMacroRequestContext.contextPath}/js/vendor/detect.min.js?ver=${version}"></script>
	<script src="${springMacroRequestContext.contextPath}/js/vendor/jquery.slimscroll.js?ver=${version}"></script>
	<script src="${springMacroRequestContext.contextPath}/js/custom/templateThemes.js?ver=${version}"></script>
	<script src="${springMacroRequestContext.contextPath}/js/vendor/jquery.app.js?ver=${version}"></script>
	<script src="${springMacroRequestContext.contextPath}/js/vendor/modernizr.min.js?ver=${version}"></script>
	<script>
        $(document).ready(function () {

            <#if isTestMode>
            $('#testMode')[0].value = true;
            $('#testMode')[0].checked = true;
            </#if>
            <#if isTestNet>
            $('#testNet')[0].value = true;
            $('#testNet')[0].checked = true;
            </#if>

            function hideTestNet() {
                $('#testNetCheck').hide();
                $('#testNet')[0].value = false;
                $('#testNet')[0].checked = false;
            }

            function hidePassphrase() {
                $('#passphraseBox').hide();
                $('#passphraseBox')[0].value = '';
            }

            // Function to change dispaly test mode switcher and bitmex test net switcher based on selected exchange.
            // On change of exchange, updating checked property of hidden checkbox/switcher to false/disabled.
            function toggleCheckBoxView(exchangeDD) {

                const selected = exchangeDD.length ? exchangeDD.find(':selected').text() : '';
                const testMode = exchangeDD.length ? exchangeDD.find(':selected').data('testmode') : false;
                const testNet = exchangeDD.length ? exchangeDD.find(':selected').data('testnet') : false;
                const passphrase = exchangeDD.length ? exchangeDD.find(':selected').data('passphrase') : false;


                if (selected === 'BITPANDA') {
                    $('#apiSecretBox').hide();
                } else {
                    $('#apiSecretBox').show();
                }

                if(testNet && selected === 'OANDA') {
                    $('#testNetCheck').show();
                    $('#testModeCheck').hide();
                    $('#apiKeyBox label').text('Account key');
                    $('#apiSecretBox label').text('Api Key');
                } else {
                    hideTestNet();
                    $('#apiKeyBox label').text('Default API key');
                    $('#apiSecretBox label').text('API secret key');
                    $('#testModeCheck').show();
                }

                if (passphrase) {
                    $('#passphraseBox').show();
                } else {
                    hidePassphrase();
                }

            }
            const exchangeDD = $('select[name="selectedExchange"]');
            toggleCheckBoxView(exchangeDD);

            $('select[name="selectedExchange"]').on('change', function (e) {
                toggleCheckBoxView($('select[name="selectedExchange"]'));
            });

            $('#testMode').change(function() {
                this.value = !!this.checked

                if ($('#testMode')[0].value == true || $('#testMode')[0].checked == true) {
                    $('#testNet')[0].value = false;
                    $('#testNet')[0].checked = false;
                }
            });
            $('#testNet').change(function() {
                this.value = !!this.checked

                if ($('#testNet')[0].value == true || $('#testNet')[0].checked == true) {
                    $('#testMode')[0].value = false;
                    $('#testMode')[0].checked = false;
                }
            });
        });
	</script>
</head>
<body>
<div class="ex-page-content">
	<div class="container">
		<div class="row justify-content-md-center">
			<div class="col-lg-8">
				<div class="message-box">
					<div class="buttons-con">
						<div class="text-center">
							<a class="logo"><img src="${springMacroRequestContext.contextPath}/images/Logo.png" alt="ProfitTrailer" height="35" width="35"><span class="tdbitcoin">Profit</span><span class="text-primary">Trailer</span></a>
						</div>
						<p>
						<ul class="nav nav-pills nav-justified form-wizard-header mb-3">
							<li class="nav-item">
								<a class="nav-link">
									<span class="number">1.</span>
									<span class="d-none d-sm-inline">License</span>
								</a>
							</li>
							<li class="nav-item">
								<a class="nav-link active">
									<span class="number">2.</span>
									<span class="d-none d-sm-inline">Exchange</span>
								</a>
							</li>
							<li class="nav-item">
								<a class="nav-link">
									<span class="number">3.</span>
									<span class="d-none d-sm-inline">Config</span>
								</a>
							</li>
						</ul>
						<div id="bar" class="progress mb-3 row" style="height: 7px;">
							<div class="bar progress-bar progress-bar-striped progress-bar-animated" style="width: 66.67%;background-color: #FF9900"></div>
						</div>
						<form action="" method="POST" class="m-t-20">
							<div class="form-group row">
                                <#if exchanges??>
									<label class="col-sm-3 col-form-label">Exchange</label>
									<select name="selectedExchange" class="form-control col-sm-9">
                                        <#list exchanges as value>
											<option value="${value.name?eval}" data-testmode=${value.hasTestMode} data-testnet=${value.hasTestNet} data-passphrase=${value.hasPassphrase} <#if currentExchange?? && currentExchange == value.name?eval> selected</#if>>${value.name?eval}</option>
                                        </#list>
									</select>
                                </#if>
							</div>
							<div class="form-group row" id="apiKeyBox">
								<label class="col-sm-3 col-form-label">Default API key</label>
								<input name="apiKey" type="text" class="form-control col-sm-9" placeholder="API Key" autocomplete="off" value="${currentApiKey!""}">
							</div>
							<div class="form-group row" id="apiSecretBox">
								<label class="col-sm-3 col-form-label">API secret key</label>
								<input name="apiSecret" type="text" class="form-control col-sm-9" placeholder="API Secret" autocomplete="off" value="${currentApiSecret!""}">
							</div>
							<div class="form-group row" id="passphraseBox">
								<label class="col-sm-3 col-form-label">API Passphrase</label>
								<input name="passphrase" type="text" class="form-control col-sm-9" placeholder="API Passphrase" autocomplete="off" value="${currentApiPassphrase!""}">
							</div>
							<div class="form-group text-center">
								<div class="row">
									<div class="col-md-4 offset-3" id="testModeCheck">
										<h5 class="col-form-label">Run in Test Mode</h5>
										<input name="testMode" type="checkbox" class="tgl tgl-skewed" style="width:100%" data-val="false" value="false" id="testMode">
										<label class="tgl-btn mainswitch large text-center" style="width:100%" data-tg-off="Disabled" data-tg-off="Disabled" data-tg-on="Enabled" for="testMode"></label>
									</div>
									<div class="col-md-4 offset-3" id="testNetCheck">
										<h5 class="col-form-label">Run on Practice Account</h5>
										<input name="testNet" type="checkbox" class="tgl tgl-skewed" style="width:100%" data-val="false" value="false" id="testNet">
										<label class="tgl-btn mainswitch large text-center" style="width:100%" data-tg-off="Disabled" data-tg-off="Disabled" data-tg-on="Enabled" for="testNet"></label>
									</div>
								</div>
							</div>
							<i class="md md-vpn-key form-control-feedback l-h-34" style="left:6px;z-index: 99;"></i>
							<ul class="list-inline mb-0 wizard row" style="display: block">
								<li class="next list-inline-item float-right">
                      <span class="input-group-btn">
                        <button type="submit" class="btn btn-email btn-primary waves-effect waves-light text-dark">Next</button>
                      </span>
								</li>
							</ul>
							<span class="text-danger">${error!""}</span>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>